The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

upgrading fedora 4 to fedora 5

Discussion in 'General Discussion' started by pirrup, Jan 18, 2007.

  1. pirrup

    pirrup Well-Known Member

    Joined:
    Nov 27, 2004
    Messages:
    54
    Likes Received:
    0
    Trophy Points:
    6
    Hello ,

    I'm trying to update my fedora 4 to fedora 5 using yum upgrade , but i got some errors

    Error: Missing Dependency: libcrypto.so.5 is needed by package courier-imap
    Error: Missing Dependency: libcrypto.so.5 is needed by package exim
    Error: Missing Dependency: libssl.so.5 is needed by package courier-imap
    Error: Missing Dependency: libssl.so.5 is needed by package exim

    i did yum upgrade before (from fedora 3 to fedora 4)

    ps i found those files in /lib/libcrypto.so.5 /usr/lib/libcrypto.so.5 /lib/libssl.so.5 /usr/lib/libssl.so.5

    but also older version .4

    can anybody help me with this so i can upgrade my server so i can get updates again.

    cheers

    pirrup
     
    #1 pirrup, Jan 18, 2007
    Last edited: Jan 18, 2007
  2. xerophyte

    xerophyte Well-Known Member

    Joined:
    Mar 16, 2003
    Messages:
    216
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Canada
    you can use the rpm -e --justdb to remove the exim and courier-imap while int he upgrade then reinstall them using /scripts/eximup --force same with the courier

    But i would rather update to CentOS 4.x then Fedora 5, because fedora more towards desktop distro and it changes most often, and centOS base on RHEL source rpm more stable towards servers

    hope that helps
     
  3. pirrup

    pirrup Well-Known Member

    Joined:
    Nov 27, 2004
    Messages:
    54
    Likes Received:
    0
    Trophy Points:
    6
    mm anybody offering his services to do the upgrade from fedora to centos?
     
Loading...

Share This Page